From a23d6dc4ad9547fbcb5017466c6917bc6a62ec03 Mon Sep 17 00:00:00 2001
From: Robert Russo <rrusso@lsu.edu>
Date: Wed, 14 Dec 2011 14:35:26 -0600
Subject: Small bugfix in SWM

---
 lib/grade/grade_category.php |    2 +-
 1 files changed, 1 insertions(+), 1 deletions(-)

diff --git a/lib/grade/grade_category.php b/lib/grade/grade_category.php
index 67a4a62..02b52c4 100644
--- a/lib/grade/grade_category.php
+++ b/lib/grade/grade_category.php
@@ -723,7 +723,7 @@ class grade_category extends grade_object {
                     if ($items[$itemid]->aggregationcoef == 0) {
                         $weightsum += $weight;
                     } elseif (empty($weighted_ec)) {
-                        $extrasum += ($grade_value / 10);
+                        $extrasum += ($grade_value / ($this->grade_item->grademax / $items[$itemid]->grademax));
                         continue;
                     }
 
-- 
1.7.1


